Loading...
Searching...
No Matches
Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension_, CoordType > Class Template Reference

Implementation of the refinement of a prism into simplices. More...

Inheritance diagram for Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension_, CoordType >:

## Classes

struct | Codim
class | Codim< codimension >

## Public Types

typedef CoordType | ctype
typedef Codim< dimension >::SubEntityIterator | VertexIterator
typedef FieldVector< CoordType, dimension > | CoordVector
typedef Codim< 0 >::SubEntityIterator | ElementIterator
typedef FieldVector< int, dimension+1 > | IndexVector

## Static Public Member Functions

static int | nVertices (int nIntervals)
static VertexIterator | vBegin (int nIntervals)
static VertexIterator | vEnd (int nIntervals)
static int | nElements (int nIntervals)
static ElementIterator | eBegin (int nIntervals)
static ElementIterator | eEnd (int nIntervals)

## Static Public Attributes

static constexpr int | dimension = dimension_

## Friends

class | RefinementIteratorSpecial< dimension, CoordType, 0 >
class | RefinementIteratorSpecial< dimension, CoordType, dimension >

## Detailed Description

template<int dimension_, class CoordType>
class Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension_, CoordType >

Implementation of the refinement of a prism into simplices.

Note that the virtual vertices of two intersecting simplices might have copies, i.e. by running over all vertices using the VertexIterator you might run over some twice.

## Member Typedef Documentation

## CoordVector

template<int dimension_, class CoordType>

typedef FieldVector<CoordType, dimension> Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension_, CoordType >::CoordVector

## ctype

template<int dimension_, class CoordType>

typedef CoordType Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension_, CoordType >::ctype

## ElementIterator

template<int dimension_, class CoordType>

typedef Codim<0>::SubEntityIterator Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension_, CoordType >::ElementIterator

## IndexVector

template<int dimension_, class CoordType>

typedef FieldVector<int, dimension+1> Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension_, CoordType >::IndexVector

## VertexIterator

template<int dimension_, class CoordType>

typedef Codim<dimension>::SubEntityIterator Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension_, CoordType >::VertexIterator

## Member Function Documentation

## eBegin()

template<int dimension, class CoordType>

RefinementImp< dimension, CoordType >::ElementIterator Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension, CoordType >::eBegin | ( | int | nIntervals | ) |

static

## eEnd()

template<int dimension, class CoordType>

RefinementImp< dimension, CoordType >::ElementIterator Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension, CoordType >::eEnd | ( | int | nIntervals | ) |

static

## nElements()

template<int dimension, class CoordType>

int Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension, CoordType >::nElements | ( | int | nIntervals | ) |

static

## nVertices()

template<int dimension, class CoordType>

int Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension, CoordType >::nVertices | ( | int | nIntervals | ) |

static

## vBegin()

template<int dimension, class CoordType>

RefinementImp< dimension, CoordType >::VertexIterator Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension, CoordType >::vBegin | ( | int | nIntervals | ) |

static

## vEnd()

template<int dimension, class CoordType>

RefinementImp< dimension, CoordType >::VertexIterator Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension, CoordType >::vEnd | ( | int | nIntervals | ) |

static

## Friends And Related Symbol Documentation

## RefinementIteratorSpecial< dimension, CoordType, 0 >

template<int dimension_, class CoordType>

friend class RefinementIteratorSpecial< dimension, CoordType, 0 >

friend

## RefinementIteratorSpecial< dimension, CoordType, dimension >

template<int dimension_, class CoordType>

friend class RefinementIteratorSpecial< dimension, CoordType, dimension >

friend

## Member Data Documentation

## dimension

template<int dimension_, class CoordType>

int Dune::RefinementImp::PrismTriangulation::RefinementImp< dimension_, CoordType >::dimension = dimension_

static constexpr

The documentation for this class was generated from the following file:

- prismtriangulation.cc